Get Pending Transaction

This API fetches transactions that are currently in a 'Pending' state. This can be done by following two methods : -> By Pagination (For List of Pending Transactions) -> By Sequence ID (For Individual Pending Transaction)

Quick Navigation : Function Index)

  1. Get Pending Transaction By Pagination
  2. Get Pending Transaction By Sequence ID

By Pagination

Retrieves a list of transactions in the 'Pending' state. Refer to the following guide:

cURL Request

curl --location --request POST 'https://api-sdk.lmnl.dev/api/wallet/pending-transaction' \
--header 'Authorization: Basic d2hETzR3bmhYaEdLVXp4Ulo2R2dJcVJYT2RXTzU4ODc6eGRuV2MxNjY0cGhKSjZXMWpudXdHalRxWm53MWZna3RUNUpqd2E0UFlMTkluLVlTRjl6OEJiTTByeDN1NTg4Nw==' \
--header 'Content-Type: application/json' \
--data-raw '{
    "wallet":{
        "coin": "eth",
        "walletId":1
    },
    "getPendingTransactionOptions":{
        "pagination":{
                    "pageNumber":1,
                    "pageSize":10
                }
    }
}'

Request Body

ntent-Type: application/json' \
--data-raw '{
    "wallet":{
        "coin": "eth",
        "walletId":1
    },
    "getPendingTransactionOptions":{
        "pagination":{
                    "pageNumber":1,
                    "pageSize":10
                }
    }
}

Response Body

[
  {
   "id":329316,
   "raw":"{\"txHex\":\"02f870058084caa7e20084caa7e22882ea609492bffd4dc976c7781de152dce439a7c57740ce04865af3107a400080c001a0b3d96f220b209cda4b74f0f42a223654ca539aff038eb25f11ef16edfb9a7166a03145b4586ed58f0b0f78de4c5da45f40cb3bfeedc147709c3ff4a860a6f786e7\",\"nonce\":0,\"halfSigned\":{\"payload\":\"{\\\"amount\\\":0.0001,\\\"destinationAddress\\\":\\\"0x92BFFd4DC976c7781DE152DcE439a7C57740CE04\\\",\\\"coinSymbol\\\":\\\"ETH\\\",\\\"transactionHash\\\":\\\"0xfd7822b439f34875633da88fefcf6361e40959e868c882136a7ae11ccf67cd82\\\"}\",\"txBase64\":\"\",\"txHex\":\"02f870058084caa7e20084caa7e22882ea609492bffd4dc976c7781de152dce439a7c57740ce04865af3107a400080c001a0b3d96f220b209cda4b74f0f42a223654ca539aff038eb25f11ef16edfb9a7166a03145b4586ed58f0b0f78de4c5da45f40cb3bfeedc147709c3ff4a860a6f786e7\",\"sequenceId\":\"135c42b0-9f3b-0f9a-b697-0d9bd3cdedcb\"},\"gasFeesDetails\":{\"baseGasFees\":\"0.00000001\",\"LessBaseGasFees\":\"0.00000001\",\"maxFeePerGas\":\"3.40000004\",\"maxPriorityFeePerGas\":\"3.4\",\"blockNumber\":8021705},\"user\":{\"id\":714,\"displayName\":\"Pentest\",\"photoURL\":\"https://cdn.icon-icons.com/icons2/1378/PNG/512/avatardefault_92824.png\",\"lastLoginAt\":\"2022-11-26T04:40:07.000Z\",\"email\":\"[email protected]\",\"phoneNumber\":null,\"status\":1,\"created_at\":\"2022-11-09T05:20:59.000Z\",\"clientid\":\"whDO4wnhXhGKUzxRZ6GgIqRXOdWOEhta\",\"type\":2,\"sub\":\"whDO4wnhXhGKUzxRZ6GgIqRXOdWOEhta@clients\",\"aud\":\"https://api.lmnl.dev/api/wallet/all\"},\"sequenceId\":\"135c42b0-9f3b-0f9a-b697-0d9bd3cdedcb\"}",
   "walletid":"3412",
   "status":2,
   "userid":714,
   "identifier":"0xfd7822b439f34875633da88fefcf6361e40959e868c882136a7ae11ccf67cd82",
   "destinationAddress":"0x92BFFd4DC976c7781DE152DcE439a7C57740CE04",
   "amount":"0.00010000",
   "type":1,
   "asset":"ETH",
   "chain":"ETH",
   "comment":null,
   "noceidentifier":null,
   "timestamp":"2022-11-26T04:40:18.000Z",
   "transactionSequenceId":368567,
   "sequenceId":"135c42b0-9f3b-0f9a-b697-0d9bd3cdedcb"
  }
]

By Sequence ID

Fetches details of a 'Pending' transaction using its Sequence ID. See the guide below:

cURL Request

curl --location --request POST 'https://api-sdk.lmnl.dev/api/wallet/pending-transaction' \
--header 'Authorization: Basic d2hETzR3bmhYaEdLVXp4Ulo2R2dJcVJYT2RXTzU4ODc6eGRuV2MxNjY0cGhKSjZXMWpudXdHalRxWm53MWZna3RUNUpqd2E0UFlMTkluLVlTRjl6OEJiTTByeDN1NTg4Nw==' \
--header 'Content-Type: application/json' \
--data-raw '{
    "wallet":{
        "coin": "eth",
        "walletId":1
    },
    "getPendingTransactionOptions":{
        "sequenceId":"93544241-c00e-c754-3bd0-494567a67ee8"
    }
}'

Response Body

{
    "wallet":{
        "coin": "eth",
        "walletId":1
    },
    "getPendingTransactionOptions":{
        "sequenceId":"93544241-c00e-c754-3bd0-494567a67ee8"
    }
}

Response Body

{
   "id":329316,
   "raw":"{\"txHex\":\"02f870058084caa7e20084caa7e22882ea609492bffd4dc976c7781de152dce439a7c57740ce04865af3107a400080c001a0b3d96f220b209cda4b74f0f42a223654ca539aff038eb25f11ef16edfb9a7166a03145b4586ed58f0b0f78de4c5da45f40cb3bfeedc147709c3ff4a860a6f786e7\",\"nonce\":0,\"halfSigned\":{\"payload\":\"{\\\"amount\\\":0.0001,\\\"destinationAddress\\\":\\\"0x92BFFd4DC976c7781DE152DcE439a7C57740CE04\\\",\\\"coinSymbol\\\":\\\"ETH\\\",\\\"transactionHash\\\":\\\"0xfd7822b439f34875633da88fefcf6361e40959e868c882136a7ae11ccf67cd82\\\"}\",\"txBase64\":\"\",\"txHex\":\"02f870058084caa7e20084caa7e22882ea609492bffd4dc976c7781de152dce439a7c57740ce04865af3107a400080c001a0b3d96f220b209cda4b74f0f42a223654ca539aff038eb25f11ef16edfb9a7166a03145b4586ed58f0b0f78de4c5da45f40cb3bfeedc147709c3ff4a860a6f786e7\",\"sequenceId\":\"135c42b0-9f3b-0f9a-b697-0d9bd3cdedcb\"},\"gasFeesDetails\":{\"baseGasFees\":\"0.00000001\",\"LessBaseGasFees\":\"0.00000001\",\"maxFeePerGas\":\"3.40000004\",\"maxPriorityFeePerGas\":\"3.4\",\"blockNumber\":8021705},\"user\":{\"id\":714,\"displayName\":\"Pentest\",\"photoURL\":\"https://cdn.icon-icons.com/icons2/1378/PNG/512/avatardefault_92824.png\",\"lastLoginAt\":\"2022-11-26T04:40:07.000Z\",\"email\":\"[email protected]\",\"phoneNumber\":null,\"status\":1,\"created_at\":\"2022-11-09T05:20:59.000Z\",\"clientid\":\"whDO4wnhXhGKUzxRZ6GgIqRXOdWOEhta\",\"type\":2,\"sub\":\"whDO4wnhXhGKUzxRZ6GgIqRXOdWOEhta@clients\",\"aud\":\"https://api.lmnl.dev/api/wallet/all\"},\"sequenceId\":\"135c42b0-9f3b-0f9a-b697-0d9bd3cdedcb\"}",
   "walletid":"3412",
   "status":2,
   "userid":714,
   "identifier":"0xfd7822b439f34875633da88fefcf6361e40959e868c882136a7ae11ccf67cd82",
   "destinationAddress":"0x92BFFd4DC976c7781DE152DcE439a7C57740CE04",
   "amount":"0.00010000",
   "type":1,
   "asset":"ETH",
   "chain":"ETH",
   "comment":null,
   "noceidentifier":null,
   "timestamp":"2022-11-26T04:40:18.000Z",
   "transactionSequenceId":368567,
   "sequenceId":"135c42b0-9f3b-0f9a-b697-0d9bd3cdedcb"
}
Body Params
string
required
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json